clear all;
n = [200;500;0;0]; 
c = [0.001,0.0001,0.1];
S = [ -1   1   1    
      -1   1   0    
       1  -1  -1   
       0   0   1 ];
a = @(n)[c(1)*n(1)*n(2); c(2)*n(3); c(3)*n(3)];
[ssa, ensem] = makeSSA(S, a);
[TT,NN] = ssa(n, 50, 1);

fig = figure('PaperPosition',[2 2 8 6.3],'PaperType','A4');
 
ax = axes('FontName','cmr','FontSize',8,'Position',[0.1264 0.15 0.7879 0.7643],'Parent',fig);

h = plot(ax,TT,NN);
set(h,{'LineWidth'},{1.5;1.5;1.2;1.5},{'LineStyle'},{'--';':';'-';'-.'},{'Color'},{'b';'k';'r';'m'});

xlabel(ax,'time  (min)');
ylabel(ax,'molecule count');
legend(ax,{'E','S','ES','P'},'FontName','Times','FontSize',8);
legend(ax,'boxoff')